[21.10 FEAT] SMC: Statistics Support - smc-tools

Bug #1853301 reported by bugproxy
20
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Ubuntu on IBM z Systems
Fix Released
Medium
Skipper Bug Screeners
smc-tools (Ubuntu)
Fix Released
High
Graham Inggs

Bug Description

Add statistics for traffic run across RoCE (RDMA) and ISM devices. Most like requires a new tool in smc-tools that queries the stats from the smc module via netlink.

smc.tools part

bugproxy (bugproxy)
tags: added: architecture-s39064 bugnameltc-182543 severity-high targetmilestone-inin2004
Changed in ubuntu:
assignee: nobody → Skipper Bug Screeners (skipper-screen-team)
affects: ubuntu → linux (Ubuntu)
Revision history for this message
Frank Heimes (fheimes) wrote :

Since I strongly believe that this support will come with an smc-tools update that was requested in LP 1852721, I'm marking this as duplicate of LP 1852721.

affects: linux (Ubuntu) → smc-tools (Ubuntu)
summary: - [20.04 FEAT] SMC: Statistics Support - smc-tools
+ [20.10 FEAT] SMC: Statistics Support - smc-tools
bugproxy (bugproxy)
tags: added: targetmilestone-inin2010
removed: targetmilestone-inin2004
Frank Heimes (fheimes)
Changed in smc-tools (Ubuntu):
status: New → Incomplete
Changed in ubuntu-z-systems:
status: New → Incomplete
Revision history for this message
Launchpad Janitor (janitor) wrote : Re: [20.10 FEAT] SMC: Statistics Support - smc-tools

[Expired for Ubuntu on IBM z Systems because there has been no activity for 60 days.]

Changed in ubuntu-z-systems:
status: Incomplete → Expired
Revision history for this message
Dimitri John Ledkov (xnox) wrote :

https://bugs.launchpad.net/ubuntu/+source/smc-tools/+bug/1852721 is fix released, is this ticket done as well then?

Changed in ubuntu-z-systems:
status: Expired → Fix Released
Changed in smc-tools (Ubuntu):
status: Incomplete → Fix Released
Revision history for this message
bugproxy (bugproxy) wrote : Comment bridged from LTC Bugzilla

------- Comment From <email address hidden> 2020-07-10 08:14 EDT-------
This feature is not part of smc-tools 1.2.2. Therefore, please reopen it.

Revision history for this message
Frank Heimes (fheimes) wrote : Re: [20.10 FEAT] SMC: Statistics Support - smc-tools

Okay, so that means we are waiting either for a version > 1.2.2 of smc-tools on groovy or for a patch (set) on top of 1.2.2.
Changing to Incomplete until either of the two is available.

Changed in smc-tools (Ubuntu):
status: Fix Released → Incomplete
Changed in ubuntu-z-systems:
status: Fix Released → Incomplete
Revision history for this message
Andrew Cloke (andrew-cloke) wrote :

smc-tools for 20.10 is now at version 1.3.0. Is this feature included in 1.3.0?
Thanks.

Revision history for this message
bugproxy (bugproxy) wrote : Comment bridged from LTC Bugzilla

------- Comment From <email address hidden> 2020-08-24 06:20 EDT-------
Will be made available in future smc-tools, currently not contained in 1.3.0

Revision history for this message
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2020-09-04 03:47 EDT-------
Feature will not make it in time for 20.10, moved to 21.04

tags: added: targetmilestone-inin2104
removed: targetmilestone-inin2010
Frank Heimes (fheimes)
summary: - [20.10 FEAT] SMC: Statistics Support - smc-tools
+ [21.04 FEAT] SMC: Statistics Support - smc-tools
Changed in ubuntu-z-systems:
assignee: nobody → Skipper Bug Screeners (skipper-screen-team)
Revision history for this message
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2020-12-09 07:42 EDT-------
The smc-tools part was made available with version 1.4.0.

https://github.com/ibm-s390-tools/smc-tools

Revision history for this message
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2020-12-09 07:54 EDT-------
Wrong info , still in work

summary: - [21.04 FEAT] SMC: Statistics Support - smc-tools
+ [21.10 FEAT] SMC: Statistics Support - smc-tools
Revision history for this message
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2021-02-01 08:02 EDT-------
Feature will not make it for 21.04, moved to 21.10

tags: added: targetmilestone-inin2110
removed: targetmilestone-inin2104
Revision history for this message
Frank Heimes (fheimes) wrote :

With v1.6.0 (released on 2021-07-01) I see in the Changes:
  smcd/smcr: Add new command stats
https://github.com/ibm-s390-linux/smc-tools/tree/1.6.0

Please can you confirm that picking v1.6.0 would have everything included that's needed for this ticket?

Frank Heimes (fheimes)
Changed in ubuntu-z-systems:
importance: Undecided → Medium
Revision history for this message
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2021-07-30 09:04 EDT-------
No, there will be a follow-up release 1.6.1 and this will have everything included needed for this ticket.

Revision history for this message
Frank Heimes (fheimes) wrote :

Thx for the reply, Guevenc.
Do you know when it is planned to release 1.6.1?
I'm just asking because Aug 19th is the feature freeze day for Impish / 21.10 (non LTS) and the release would need to be there some days upfront to get it in.
Otherwise, we could provide it with a PPA and this ticket would need to be moved to 22.04 (which is probably the more important release for you anyway, since this is the next LTS).

Revision history for this message
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2021-08-04 11:37 EDT-------
Ok. We have 3 fixes which goes on top of 1.6.0 and this should be the code state picked up for this ticket.
Please see the public git repo for the fixes.
https://github.com/ibm-s390-linux/smc-tools/commits/main

and please pick these 3 commits on top of 1.6.0
011fc850e4e7a272896ea53cf178ff39972ff74d
3c47b5b90bf931714ee079bed7d74c6104bff784
f6d8435b8895218d00d1ec8426af3995d6dd58da

Frank Heimes (fheimes)
Changed in ubuntu-z-systems:
status: Incomplete → Triaged
Changed in smc-tools (Ubuntu):
status: Incomplete → New
assignee: Skipper Bug Screeners (skipper-screen-team) → Canonical Foundations Team (canonical-foundations)
tags: added: fr-1552
Changed in smc-tools (Ubuntu):
assignee: Canonical Foundations Team (canonical-foundations) → Matthieu Clemenceau (mclemenceau)
Revision history for this message
Matthieu Clemenceau (mclemenceau) wrote :

updated to 1.6.0 and cherry-picked the 3 commit previously mentioned.
Attached debdiff, looking for a sponsor now.

information type: Private → Public
Revision history for this message
Ubuntu Foundations Team Bug Bot (crichton) wrote :

The attachment "smc-tools_1.5.0-0ubuntu2_1.6.0-0ubuntu1.debdiff" seems to be a debdiff. The ubuntu-sponsors team has been subscribed to the bug report so that they can review and hopefully sponsor the debdiff. If the attachment isn't a patch, please remove the "patch" flag from the attachment, remove the "patch" tag, and if you are member of the ~ubuntu-sponsors, unsubscribe the team.

[This is an automated message performed by a Launchpad user owned by ~brian-murray, for any issue please contact him.]

tags: added: patch
Mathew Hodson (mhodson)
Changed in smc-tools (Ubuntu):
importance: Undecided → High
Graham Inggs (ginggs)
Changed in smc-tools (Ubuntu):
assignee: Matthieu Clemenceau (mclemenceau) → Graham Inggs (ginggs)
Revision history for this message
Graham Inggs (ginggs) wrote :

Uploaded after fixing a typo and the LP bug in debian/changelog.

Frank Heimes (fheimes)
Changed in ubuntu-z-systems:
status: Triaged → In Progress
Revision history for this message
Frank Heimes (fheimes) wrote :

Since the updated package version arrived in impish-proposed:
smc-tools | 1.6.0-0ubuntu1 | impish-proposed/universe | s390x
I'm updating the status to Fix Committed.

Changed in smc-tools (Ubuntu):
status: New → Fix Committed
Changed in ubuntu-z-systems:
status: In Progress → Fix Committed
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package smc-tools - 1.6.0-0ubuntu1

---------------
smc-tools (1.6.0-0ubuntu1) impish; urgency=medium

  * New upstream release. LP: #1853301
  * Add cherry-picked patches from upstream
    - smc-tools: stats: Fix memory overread in is_data_consistent()
      011fc850e4e7a272896ea53cf178ff39972ff74d.patch
    - smc-tools: stats: Fix memory and file handle leaks
      3c47b5b90bf931714ee079bed7d74c6104bff784.patch
    - smc-tools: stats: Use correct fallback counter values after reset
      f6d8435b8895218d00d1ec8426af3995d6dd58da.patch

 -- Matthieu Clemenceau <email address hidden> Thu, 12 Aug 2021 16:16:34 -0500

Changed in smc-tools (Ubuntu):
status: Fix Committed → Fix Released
Frank Heimes (fheimes)
Changed in ubuntu-z-systems:
status: Fix Committed → Fix Released
Revision history for this message
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2021-09-17 05:39 EDT-------
Fix landed in smc-tools (1.6.0-0ubuntu1) which is part of impish / U21.10, hence closing the bug.
Changing IBM BZ status: -> CLOSED

To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers